@file:Suppress("UNUSED_CHANGED_VALUE")

import java.io.File
import java.nio.charset.Charset
import java.nio.charset.StandardCharsets
import java.nio.file.Files
import java.nio.file.Paths
import java.security.SecureRandom

fun main() {
    print("За кого вы хотите играть? (Введите игрок или мастер): ")
    val role = readln()
    var score = 0
    if((role.filterNot { it.isWhitespace() }).equals("игрок", true)){

        //Подключение файла к проекту
        val filename = "C:\\Klim\\Kotlin prodjects\\Olimp\\Olimpiada\\slovar.txt"
        var fileObject = File(filename)
        var fileExists = fileObject.exists()
        if(fileExists){
            //строка словаря, считанная из файла
            val content = readFile(filename, StandardCharsets.UTF_8)
            //Перевод в массив из строк слов словаря
            val arraySlovar = content.split(" ").toTypedArray()
            //Переменная рандомайзер
            val random = SecureRandom()
            //Случайный выбор слова из словаря, currentWord - текущее слово
            val currentWord = arraySlovar[random.nextInt(arraySlovar.size)]
            println(currentWord)
            print("Введите вопрос: ")
            val voprosPlayer = readln()
            if (voprosPlayer.count() == 1){
                //Проверка на цифру
                if(isNumeric(voprosPlayer)){
                    if (voprosPlayer.toInt() == currentWord.count()){
                        println("=")
                    }
                    else if (voprosPlayer.toInt() > currentWord.count()){
                        println("<")
                    }
                    else if (voprosPlayer.toInt() < currentWord.count()) {
                        println(">")
                    }
                    score++
                }
                //Проверка на букву
                if ("абвгдеёжзийклмнопрстуфхцчшщъыьэюяАБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ-".indexOf(voprosPlayer) != -1){
                    if (currentWord.indexOf(voprosPlayer) != -1){
                        println("1")
                    } else {
                        println("0")
                    }
                    score++
                }
            }
            else{
                if (currentWord == voprosPlayer){
                    println("1\nВы угадали слово, игра окончена")
                    return
                } else {
                    println("0")
                    score += 2
                }
            }

        } else {
            print("$filename file does not exist.")
        }


    }
    if((role.filterNot { it.isWhitespace() }).equals("мастер", true)){
        println("мастер")
    }




}


//Проверка, что в строке только числа
fun isNumeric(s: String): Boolean {
    return try {
        s.toDouble()
        true
    } catch (e: NumberFormatException) {
        false
    }
}

//Функция, которая считывает из файла строки и возвращает их в виде одной строки
fun readFile(path: String, encoding: Charset): String {
    val encoded = Files.readAllBytes(Paths.get(path))
    return String(encoded, encoding)
}